# class Object

### Public Instance Methods

have_all(*args) click to toggle source

    # File ext/curses/extconf.rb, line 3
    def have_all(*args)
      old_libs = $libs.dup
      old_defs = $defs.dup
      result = []
      begin
        args.each {|arg|
          r = arg.call(*result)
          if !r
            return nil
          end
          result << r
        }
        result
      ensure
        if result.length != args.length
          $libs = old_libs
          $defs = old_defs
        end
      end
    end